[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Q about aptitude (was Re: where is angband?)

On 3/10/2010 9:58 PM, Ron Johnson wrote:
On 2010-03-10 21:42, Tom Furie wrote:
On Wed, Mar 10, 2010 at 09:35:24PM -0600, Ron Johnson wrote:
On 2010-03-10 16:47, Martin wrote:
I downloaded 5 DVD Lenny 5.0.4.
As I was browsing packages with aptitude I noticed that there
is angband-doc but angband is (UNAVAILABLE).

Why wouldn't it be this?

root@haggis:~# apt-get install foobar
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Couldn't find package foobar

Because he's using the aptitude tui (should that be c(urses)ui?). If a
referenced package is not available, then it shows (UNAVAILABLE) next to
the package name.

How would aptitude know about angband if OP didn't put non-free in

When dealing with Sid, it's common to have packages that depend on packages that don't seem to exist, which leads to no end of frustration. I can't say whether it should be possible under Lenny/stable, but it happens in Sid frequently (since renaming and other transitions occur there) and occasionally in testing.

Reply to: